Help wanted for aspell installation

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Help wanted for aspell installation

Fernando Cabral
Hello

After downloading gb.aspell I tried to install the package running ./reconf
as indicated. Nevertheless, it has not worked. Any help much appreciates.
Error messages follow.

hostname  ~/Downloads/gambas3-3.9.2/gb.aspell $ ./reconf
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal
configure.ac:6: error: AC_INIT should be called with package and version
arguments
/usr/share/aclocal-1.15/init.m4:29: AM_INIT_AUTOMAKE is expanded from...
acinclude.m4:65: GB_INIT_AUTOMAKE is expanded from...
acinclude.m4:124: GB_INIT_SHORT is expanded from...
acinclude.m4:163: GB_INIT is expanded from...
configure.ac:6: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal: error: echo failed with exit status: 1
autoreconf: aclocal failed with exit status: 1


--
Fernando Cabral
Blogue: http://fernandocabral.org
Twitter: http://twitter.com/fjcabral
e-mail: [hidden email]
Facebook: [hidden email]
Telegram: +55 (37) 99988-8868
Wickr ID: fernandocabral
WhatsApp: +55 (37) 99988-8868
Skype:  fernandojosecabral
Telefone fixo: +55 (37) 3521-2183
Telefone celular: +55 (37) 99988-8868

Enquanto houver no mundo uma só pessoa sem casa ou sem alimentos,
nenhum político ou cientista poderá se gabar de nada.
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gambas-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gambas-user
Reply | Threaded
Open this post in threaded view
|

Re: Help wanted for aspell installation

Tobias Boege-2
On Sun, 30 Apr 2017, Fernando Cabral wrote:

> Hello
>
> After downloading gb.aspell I tried to install the package running ./reconf
> as indicated. Nevertheless, it has not worked. Any help much appreciates.
> Error messages follow.
>
> hostname  ~/Downloads/gambas3-3.9.2/gb.aspell $ ./reconf
> autoreconf: Entering directory `.'
> autoreconf: configure.ac: not using Gettext
> autoreconf: running: aclocal
> configure.ac:6: error: AC_INIT should be called with package and version
> arguments
> /usr/share/aclocal-1.15/init.m4:29: AM_INIT_AUTOMAKE is expanded from...
> acinclude.m4:65: GB_INIT_AUTOMAKE is expanded from...
> acinclude.m4:124: GB_INIT_SHORT is expanded from...
> acinclude.m4:163: GB_INIT is expanded from...
> configure.ac:6: the top level
> autom4te: /usr/bin/m4 failed with exit status: 1
> aclocal: error: echo failed with exit status: 1
> autoreconf: aclocal failed with exit status: 1
>

gb.aspell is ancient. The last update to the sourceforge repository was in
2008 if I'm not mistaken. The error above tells you that its configure.ac
file is meanwhile incompatible with your version of the GNU autotools.
You can fix that by yourself by looking at the configure.ac's of components
inside the Gambas source tree and making gb.aspell's look like them.
Note that this error happens at the "reconf" stage. After that are still
the "configure" and "make" stages where less trivial errors could pop up.

Regards,
Tobi

--
"There's an old saying: Don't change anything... ever!" -- Mr. Monk

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gambas-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gambas-user
Reply | Threaded
Open this post in threaded view
|

Re: Help wanted for aspell installation

Fernando Cabral
Thank you, Tobi. I'll see if I can fix it and move forward.


2017-05-01 9:17 GMT-03:00 Tobias Boege <[hidden email]>:

> On Sun, 30 Apr 2017, Fernando Cabral wrote:
> > Hello
> >
> > After downloading gb.aspell I tried to install the package running
> ./reconf
> > as indicated. Nevertheless, it has not worked. Any help much appreciates.
> > Error messages follow.
> >
> > hostname  ~/Downloads/gambas3-3.9.2/gb.aspell $ ./reconf
> > autoreconf: Entering directory `.'
> > autoreconf: configure.ac: not using Gettext
> > autoreconf: running: aclocal
> > configure.ac:6: error: AC_INIT should be called with package and version
> > arguments
> > /usr/share/aclocal-1.15/init.m4:29: AM_INIT_AUTOMAKE is expanded from...
> > acinclude.m4:65: GB_INIT_AUTOMAKE is expanded from...
> > acinclude.m4:124: GB_INIT_SHORT is expanded from...
> > acinclude.m4:163: GB_INIT is expanded from...
> > configure.ac:6: the top level
> > autom4te: /usr/bin/m4 failed with exit status: 1
> > aclocal: error: echo failed with exit status: 1
> > autoreconf: aclocal failed with exit status: 1
> >
>
> gb.aspell is ancient. The last update to the sourceforge repository was in
> 2008 if I'm not mistaken. The error above tells you that its configure.ac
> file is meanwhile incompatible with your version of the GNU autotools.
> You can fix that by yourself by looking at the configure.ac's of
> components
> inside the Gambas source tree and making gb.aspell's look like them.
> Note that this error happens at the "reconf" stage. After that are still
> the "configure" and "make" stages where less trivial errors could pop up.
>
> Regards,
> Tobi
>
> --
> "There's an old saying: Don't change anything... ever!" -- Mr. Monk
>
> ------------------------------------------------------------
> ------------------
> Check out the vibrant tech community on one of the world's most
> engaging tech sites, Slashdot.org! http://sdm.link/slashdot
> _______________________________________________
> Gambas-user mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/gambas-user
>



--
Fernando Cabral
Blogue: http://fernandocabral.org
Twitter: http://twitter.com/fjcabral
e-mail: [hidden email]
Facebook: [hidden email]
Telegram: +55 (37) 99988-8868
Wickr ID: fernandocabral
WhatsApp: +55 (37) 99988-8868
Skype:  fernandojosecabral
Telefone fixo: +55 (37) 3521-2183
Telefone celular: +55 (37) 99988-8868

Enquanto houver no mundo uma só pessoa sem casa ou sem alimentos,
nenhum político ou cientista poderá se gabar de nada.
------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Gambas-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gambas-user